using System.Diagnostics.CodeAnalysis;

namespace Pilz.Net.Api;

public record class ApiRequestInfo(
    ApiMessage? Message,
    [property: MemberNotNullWhen(true, "AuthKey")]
    bool IsAuthenticated,
    string? AuthKey,
    string Url,
    string Method);
